#ifndef _UDM_SEARCH_TL_H
#define _UDM_SEARCH_TL_H

/*
 * udm_search_tl.h from UdmSearch
 * (C) 2000 Kir <kir@sever.net>, UdmSearch Developers Team
 */



/* FIXME: should be taken from template somehow */
#define DEFAULT_DT "back"
#define DEFAULT_DP "0"
#define DEFAULT_DX "1"
#define DEFAULT_DM "0"
#define DEFAULT_DD "1"
#define DEFAULT_DY "2000"
#define DEFAULT_DB "01/01/1999"
#define DEFAULT_DE "31/12/2001"

#include <time.h>

struct udm_stl_info_t{
	int type;
	time_t t1;
	time_t t2;
};

/* Function prototypes */

/* converts string representation of time search type (option)
 * to integer
 */
int getSTLType(char *type_str);

/* converts time_str to time_t (seconds)
 * time_str is in the form 'xxxA[yyyB[zzzC]]'
 * (Spaces are allowed between xxx and A and yyy and so on)
 *   there xxx, yyy, zzz are numbers (can be negative!)
 *         A, B, C can be one of the following:
 *		s - second
 *		M - minute	
 *		h - hour
 *		d - day
 *		m - month
 *		y - year
 *	(these letters are as in strptime/strftime functions)
 *
 * Examples:
 * 4h30m - 2 hours and 30 minutes (will return 9000 seconds)
 * 1Y6M-15d - 1 year and six month minus 15 days (will return 45792000 s)
 * 1h-60m+1s - 1 hour minus 60 minutes plus 1 second (will return 1 s)
 */
time_t dp2time_t(char * time_str);

/* converts string in the form dd/mm/yyyy to time_t
 */
time_t dmy2time_t(char * time_str);

/* converts day, month, year to time_t
 */
time_t d_m_y2time_t(int d, int m, int y);

#endif /* _UDM_SEARCH_TL_H */
